<?php
/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to load main wrapper for public-facing aspects of the plugin.
 *
 * @link       http://responsive-pixel.com/
 * @since      1.0.0
 *
 * @package    Trustify
 * @subpackage Trustify/public/partials
 */

if ( is_home() || is_front_page() ) {
	$var = 'front';
} elseif ( is_single() || is_page() ) {
	$var = 'single';
} elseif ( is_404() ) {
	$var = '404';
} elseif ( is_search() ) {
	$var = 'search';
} elseif ( is_archive() ) {
	$var = 'archive';
} else {
	$var = '';
}

/**
 * Plugin options.
 *
 * @since 1.1.0
 */
$options          = get_option( 'trustify_settings' );
$key              = 'trustify_popup_additional';
$disable_loggedin = isset( $options[ $key ]['disable_loggedin'] ) ? $options[ $key ]['disable_loggedin'] : '';
if ( 1 == $disable_loggedin && is_user_logged_in() ) {
	return;
}
// Image Position.
$options       = get_option( 'trustify_settings' );
$key           = $options['trustify_popup_design'];
$image_view    = isset( $key['imageview'] ) ? $key['imageview'] : 'square';
$display_style = isset( $key['display_style'] ) ? $key['display_style'] : 'minimal';
?>

<div id="trustifyWrapper" data-trustify-page-id="<?php echo get_the_ID(); ?>" data-offset=<?php echo esc_attr( $var ); ?> class="col2 <?php echo esc_attr( 'style-' . $display_style ); ?>" style="float: left">
	<div class="popup_position">
		<div class="popup_box">
			<div class="popup_template animated clearfix <?php echo esc_attr( 'image-' . $image_view ); ?>" id="popup_template" style="display: none;">
				<!-- Content will be loaded dynamically through ajax -->
			</div>
		</div>
	</div>
</div>
